%define api 2.3
%define major 1
%define libname %mklibname clanlib %api %{major}
%define develname %mklibname -d clanlib %api

Name:		clanlib
Summary:	The ClanLib Game SDK series 2.3
Version:	2.3.7
Release:	%mkrel 4
License:	BSD-like
Group:		System/Libraries
Source0:	http://www.clanlib.org/download/releases-2.0/ClanLib-%version.tgz
Patch0:		ClanLib-2.3.6-link.patch
Patch1:		ClanLib-2.3.4-gcc47.patch
# from fedora
Patch3:		ClanLib-2.3.4-non-x86.patch
URL:		http://www.clanlib.org/
BuildRequires:	libmikmod-devel
BuildRequires:	libpng-devel
BuildRequires:	mesa-common-devel
BuildRequires:	autoconf2.5
BuildRequires:	libtiff-devel
BuildRequires:	bzip2-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libSDL_gfx-devel
BuildRequires:	libxrender-devel
BuildRequires:	libxslt-proc
BuildRequires:	freetype2-devel
BuildRequires:	sqlite3-devel
BuildRequires:	fontconfig-devel
BuildRequires:	libpcre-devel
BuildRequires:	doxygen

%description
The ClanLib Game SDK is a crossplatform game library designed to ease the work
for game developers. The goal is to provide a common interface to classical
game problems (loading graphics eg.), so games can share as much code as
possible. Ideally anyone with small resources should be able to write
commercial quality games.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	ClanLib-devel = %{version}-%{release}
Provides:	clanlib-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package	docs
Summary:	ClanLib documentation
Group:		Documentation
BuildArch:	noarch

%description	docs
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package contains the documentation.

%prep
%setup -q -n ClanLib-%{version}
%patch0 -p0 -b .link
%patch1 -p1 -b .gcc
%patch3 -p1 -b .non-x86

%build
export CXXFLAGS="%{optflags} -fno-stack-protector"
autoreconf -fi
%configure2_5x \
	--disable-static \
	--enable-docs
%make

%install
%makeinstall_std
rm -rf %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc README COPYING CREDITS
%{_libdir}/libclan*-%{api}.so.%{major}
%{_libdir}/libclan*-%{api}.so.%{major}.*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc

%files docs
%{_docdir}/clanlib-%{api}


%changelog
* Sun Nov 22 2015 zezinho <zezinho> 2.3.7-4.mga6
+ Revision: 904887
- enable SSE2 on i586 as it is required #17201

* Fri Aug 28 2015 cjw <cjw> 2.3.7-3.mga6
+ Revision: 870484
- rebuild with gcc 5

* Mon Dec 08 2014 wally <wally> 2.3.7-2.mga5
+ Revision: 802142
- build with -fno-stack-protector

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Rebuild to fix library dependencies
    - Mageia 5 Mass Rebuild
    - Mageia 4 Mass Rebuild

* Mon Aug 12 2013 blue_prawn <blue_prawn> 2.3.7-1.mga4
+ Revision: 465598
- updated to last version 2.3.7

* Sun Jun 02 2013 fwang <fwang> 2.3.6-7.mga4
+ Revision: 434936
- rebuild for new libpng

* Sat Mar 30 2013 rtp <rtp> 2.3.6-6.mga3
+ Revision: 406694
- Merge build fix for non-x86 from Fedora

* Fri Jan 11 2013 umeabot <umeabot> 2.3.6-5.mga3
+ Revision: 347821
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 2.3.6-4.mga3
+ Revision: 323748
- rebuild for new pcre

* Wed Oct 10 2012 fwang <fwang> 2.3.6-3.mga3
+ Revision: 304052
- drop gl_type and gl_object_type definition, clanlib does not use them
- fix build with gcc 4.7
- update rpm group
- revert doc changes
- install docs

* Thu Jun 21 2012 fwang <fwang> 2.3.6-2.mga3
+ Revision: 262431
- disable sse for ix86

* Wed Jun 20 2012 fwang <fwang> 2.3.6-1.mga3
+ Revision: 262286
- enable docs
- fix typo
- clean up spec with single libpackage
- more fix
- more fix
- more patch
- more patch
- more patch
- more patch
- fix patch
- add br
- more linkage fix
- new version 2.3.6
- Created package structure for clanlib.

